Subject: Re: [PATCH iproute2/net-next v3]tc: B.W limits can now be specified in %.

From: Stephen Hemminger <[email-masked]>
Date: Fri, 24 Nov 2017 11:25:28 -0800

On Sat, 18 Nov 2017 02:13:38 +0530
Nishanth Devarajan <[email-masked]> wrote:

> This patch adapts the tc command line interface to allow bandwidth limits
> to be specified as a percentage of the interface's capacity.
> 
> Adding this functionality requires passing the specified device string to
> each class/qdisc which changes the prototype for a couple of functions: the
> .parse_qopt and .parse_copt interfaces. The device string is a required
> parameter for tc-qdisc and tc-class, and when not specified, the kernel
> returns ENODEV. In this patch, if the user tries to specify a bandwidth
> percentage without naming the device, we return an error from userspace.
> 
> v2:
> * Modified and moved int read_prop() from ip/iptuntap.c to lib/utils.c,
> to make it accessible to tc. 
> 
> v3:
> * Modified and moved int parse_percent() from tc/q_netem.c to ib/util.c for
> use in tc.
> 
> * Changed couple variable names in int parse_percent_rate().
> 
> * Handled showing error message when device speed is unknown.
> 
> * Updated man page to warn users that when specifying rates in %, tc only
> uses the current device speed and does not recalculate if it changes after.
> 
> During cases when properties (like device speed) are unknown, read_prop()
> assumes that if the property file can be opened but not read, it means
> that the property is unknown.
> 
> Signed-off by: Nishanth Devarajan<[email-masked]>
> 

Applied, but there were three things that I needed to change:
  1. The DCO tag is "Signed-off-by" not "Signed-off by"
  2. The revision history should be below the cut line --- in the mail message
     so that it doesn't end up in the commit message.
  3. The qopt function declarations now are a really long line.
     I will break them up.